//
//  ADCrashController.h
//  ADCrashReporter
//
//  Created by Alexander Kosovan on 29.11.08.
//  Copyright 2008 CleanMyMac. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class DMFeedbacker;

@interface DMProblemReporter : NSObject {
    DMFeedbacker *feedbacker;
    BOOL inLoggingMode;
}

@property (assign, getter = isInLoggingMode) BOOL inLoggingMode;

+ (DMProblemReporter *)sharedInstance;

- (BOOL)isInTestMode;

- (void)enableCrashCatching;
- (void)enableHandlingUncaughtExceptions;

// for this methods it'll get app from the wrapper bundle
- (void)sendFeedback;
- (void)sendFeedBackWithException:(NSException *)exception;

- (void)sendFeedBackForApp:(NSString *)path;
- (void)sendFeedBackForApp:(NSString *)path withException:(NSException *)exception;

@end
